package org.zeroturnaround.javarebel.integration.log4j.cbp;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

/**
 * Insert byteCode to setup log4j configuration file modified time.
 * 
 * @author Richard Julien
 * @version 1.0
 */
public class OptionConverterCBP extends JavassistClassBytecodeProcessor {
    public void process(ClassPool classPool, ClassLoader classLoader, CtClass ctClass) throws Exception {
        //Intercept log4j use file
        CtMethod m = ctClass.getDeclaredMethod("selectAndConfigure");
        m.insertAfter("org.zeroturnaround.javarebel.integration.log4j.Log4jReloader.checkFileModifiedTime($1);");
    }
}
